> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).

# 55. Загрузка zip-файлов (более 6 МБ)

Из-за технического ограничения облачного провайдера AWS загрузка файлов размером более 6 МБ выполняется в 2 этапа:

#### **1. Запросите предварительно подписанную ссылку для последующей прямой загрузки.** <a href="#step1" id="step1"></a>

В качестве входных данных:

* `fileType` - `yield` ИЛИ `soil` ИЛИ `applied` ИЛИ `adapt` ИЛИ `boundary`,
* `farmUuid` (необязательно) — UUID хозяйства, в которое нужно импортировать файл.

В качестве выходных данных:

* `uuid` — ожидаемый UUID после загрузки и обработки,
* `farmUuid` — то же значение, что и во входных данных,
* `fileType` — то же значение, что и во входных данных,
* `s3Url` — URL для загрузки файла,
* `s3Fields` — атрибуты, которые нужно передать в форме загрузки файла.

Подробное описание использования `s3Url` и `s3Fields` приведено во втором шаге.

Атрибуты действительны только в течение 60 минут для загрузки файла.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GeneratePresignedPostFileData {
  generatePresignedPostFileData(input:{
    fileType: applied
    farmUuid: "8bba5132-3a92-4ce1-8699-220e78ad68bd"
  } ) {
    uuid
    farmUuid
    fileType
    s3Url
    s3Fields
  }
}

```

{% endcode %}

#### **2. Отправьте локальный файл на s3Url, передав заданные атрибуты формы из s3Fields.** <a href="#step2" id="step2"></a>

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST '<s3Url>' \
--form 'key="<value_in_s3Fields>"' \
--form 'AWSAccessKeyId="<value_in_s3Fields>"' \
--form 'x-amz-security-token="<value_in_s3Fields>"' \
--form 'policy="<value_in_s3Fields>"' \
--form 'signature="<value_in_s3Fields>"' \
--form 'file=@"<local_file_path>"'
```

{% endcode %}

Уведомления об обработке будут отправляться через механизм подписки, описанный в разделе\
[1. Подписка: получение событий](https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/geopard-api-requests-overview/1.-subscription-get-events.md).

{% hint style="info" %}
Заголовок ответа содержит заголовок `Etag` , который, например, выглядит так: `Etag: "6fd3e76992738357ab50039f2c60024e"`. Это значение впоследствии используется в GraphQL [запросе getPlatformContext](https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/geopard-api-requests-overview/83.-query-collect-platform-context.md) для отслеживания хода обработки, а также связи с сущностями "Field", "AsAppliedDataset", "YieldDataset" и "SoilDataset".
{% endhint %}

{% hint style="info" %}
Используйте `‘Accept-Encoding’:’gzip, deflate, br’`.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
